summarylogtreecommitdiffstats
path: root/escrcpy.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-04 11:47:20 +0800
committerzxp198210052023-12-04 11:47:20 +0800
commit315ed87bf9ec1239d8e57a78be85e98f4cf72c2a (patch)
treea0fc7c91bbcea7447395dfa0eee4e17df6ae7fe8 /escrcpy.sh
parent37d81b7ee4851465d4894dcf9666f4d50995dc27 (diff)
downloadaur-315ed87bf9ec1239d8e57a78be85e98f4cf72c2a.tar.gz
update to 1.16.3
Diffstat (limited to 'escrcpy.sh')
-rw-r--r--escrcpy.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/escrcpy.sh b/escrcpy.sh
index b2507a2428fc..2ec4412e5c4f 100644
--- a/escrcpy.sh
+++ b/escrcpy.sh
@@ -1,11 +1,14 @@
#!/bin/bash
-_ELECTRON=/usr/bin/electron27
-APPDIR="/usr/lib/escrcpy"
-export PATH="${APPDIR}:${PATH}"
-#export LD_LIBRARY_PATH="${APPDIR}/usr/lib:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file